@echo off
rem ####################################################
rem #
rem # Copyright (c) 2014 skipser.com.
rem # All rights reserved.
rem #
rem ####################################################

echo.
echo Starting Server
echo ===================
echo.
adb\adb start-server

echo Device Status
echo --------------
adb\adb devices

adb\adb shell dumpsys window | find "mUnrestrictedScreen" > SreenSize.txt
for /f "tokens=2" %%b in (SreenSize.txt) do set clean_string=%%b
set DEF_DISP=%clean_string%
DEL /F SreenSize.txt

set DEF_BITRATE=4

set DEF_TIME=3

:while1
echo Recording Settings-
echo ----------------------------
echo Resolution- %DEF_DISP%
echo Bit Rate  - %DEF_BITRATE%Mbps
echo Max time  - %DEF_TIME%Min
echo.

set CONT=y
set /p CONT=Continue? Press n to change settings [y/n]?:
if NOT "%CONT%"=="n" goto :while12
:while11
set /P DEF_DISP="New Resolution:" || set DEF_DISP=%DEF_DISP%
set /P DEF_BITRATE="New Bitrate:" || set DEF_BITRATE=4
set /P DEF_TIME="New max recording time:" || set DEF_BITRATE=3
if %DEF_TIME% GTR 3 (
    echo.
    echo ERROR: Maximium recording time is 3 minutes
    echo.
    goto :while11
)
echo.
goto :while1

:while12
set /a DEF_BITRATE=DEF_BITRATE * 1000000 
set /a DEF_TIME=%DEF_TIME% * 60

rem Get a file name.
set FILENUM=1
:while2
set FILENAME=rec%FILENUM%.mp4
if exist %FILENAME% (
    :: change countfile here
    set /a FILENUM=%FILENUM% + 1
    goto :while2
)

echo.
echo Recording will now begin. Close the popup window to stop.
pause

set SDDIR=/sdcard
CALL arec1.bat %DEF_DISP% %DEF_BITRATE% %DEF_TIME% %SDDIR%/%FILENAME%< Nul

ping -n 2 127.0.0.1 > Nul

echo.
echo Copying recorded file.
adb\adb pull %SDDIR%/%FILENAME%
echo Done. The recording has been copied to %FILENAME%

echo.
echo Press any key to exit...
pause > Nul
